<?php
/**
 * The WP Fitness: Block Patterns
 *
 * @package The WP Fitness
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'the-wp-fitness',
		array( 'label' => __( 'The WP Fitness', 'the-wp-fitness' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'the-wp-fitness/banner-section',
		array(
			'title'      => __( 'Banner Section', 'the-wp-fitness' ),
			'categories' => array( 'the-wp-fitness' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\",\"id\":1409,\"dimRatio\":0,\"align\":\"full\",\"className\":\"main-banner-section \"} -->\n<div class=\"wp-block-cover alignfull main-banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-1409\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"wide\",\"className\":\"mx-lg-5 mx-md-5\"} -->\n<div class=\"wp-block-columns alignwide mx-lg-5 mx-md-5\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"mx-lg-5 mx-md-5 mx-5\"} -->\n<div class=\"wp-block-column mx-lg-5 mx-md-5 mx-5\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"40px\",\"textTransform\":\"uppercase\"}},\"textColor\":\"white\"} -->\n<h1 class=\"has-white-color has-text-color\" style=\"font-size:40px;text-transform:uppercase\">Lorem ipsum is simply dummy text of the printing and typesetting industry</h1>\n<!-- /wp:heading -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#ff8500\",\"text\":\"#001e44\"},\"border\":{\"radius\":\"0px\"}},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button has-custom-font-size has-small-font-size\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:0px;background-color:#ff8500;color:#001e44\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'the-wp-fitness/about-section',
		array(
			'title'      => __( 'About Section', 'the-wp-fitness' ),
			'categories' => array( 'the-wp-fitness' ),
			'content'    => "<!-- wp:group {\"align\":\"wide\",\"className\":\"mx-lg-5 mx-md-3 mx-1\"} -->\n<div class=\"wp-block-group alignwide mx-lg-5 mx-md-3 mx-1\"><!-- wp:columns {\"align\":\"full\",\"className\":\"main-service-section\"} -->\n<div class=\"wp-block-columns alignfull main-service-section\"><!-- wp:column {\"width\":\"66.66%\",\"className\":\"main-service-section-cardimg\"} -->\n<div class=\"wp-block-column main-service-section-cardimg\" style=\"flex-basis:66.66%\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"className\":\"main-service-section-card\"} -->\n<div class=\"wp-block-column main-service-section-card\"><!-- wp:image {\"id\":1413,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"main-service-section-figure\"} -->\n<figure class=\"wp-block-image size-full main-service-section-figure\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/service1.png\" alt=\"\" class=\"wp-image-1413\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\"},\"color\":{\"text\":\"#001e44\"}},\"fontSize\":\"medium\"} -->\n<h3 class=\"has-text-align-center has-text-color has-medium-font-size\" style=\"color:#001e44;text-transform:uppercase\">TITLE 1</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"main-service-section-card\"} -->\n<div class=\"wp-block-column main-service-section-card\"><!-- wp:image {\"id\":1411,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"main-service-section-figure\"} -->\n<figure class=\"wp-block-image size-full main-service-section-figure\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/service2.png\" alt=\"\" class=\"wp-image-1411\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\"},\"color\":{\"text\":\"#001e44\"}},\"fontSize\":\"medium\"} -->\n<h3 class=\"has-text-align-center has-text-color has-medium-font-size\" style=\"color:#001e44;text-transform:uppercase\">TITLE 2</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"main-service-section-card\"} -->\n<div class=\"wp-block-column main-service-section-card\"><!-- wp:image {\"id\":1414,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"main-service-section-figure\"} -->\n<figure class=\"wp-block-image size-full main-service-section-figure\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/service3.png\" alt=\"\" class=\"wp-image-1414\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\"},\"color\":{\"text\":\"#001e44\"}},\"fontSize\":\"medium\"} -->\n<h3 class=\"has-text-align-center has-text-color has-medium-font-size\" style=\"color:#001e44;text-transform:uppercase\">TITLE 3</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"className\":\"main-service-section-card\"} -->\n<div class=\"wp-block-column main-service-section-card\"><!-- wp:image {\"id\":1415,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"main-service-section-figure\"} -->\n<figure class=\"wp-block-image size-full main-service-section-figure\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/service4.png\" alt=\"\" class=\"wp-image-1415\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\"},\"color\":{\"text\":\"#001e44\"}},\"fontSize\":\"medium\"} -->\n<h3 class=\"has-text-align-center has-text-color has-medium-font-size\" style=\"color:#001e44;text-transform:uppercase\">TITLE 4</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"main-service-section-card\"} -->\n<div class=\"wp-block-column main-service-section-card\"><!-- wp:image {\"id\":1416,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"main-service-section-figure\"} -->\n<figure class=\"wp-block-image size-full main-service-section-figure\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/service5.png\" alt=\"\" class=\"wp-image-1416\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\"},\"color\":{\"text\":\"#001e44\"}},\"fontSize\":\"medium\"} -->\n<h3 class=\"has-text-align-center has-text-color has-medium-font-size\" style=\"color:#001e44;text-transform:uppercase\">TITLE 5</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"main-service-section-card\"} -->\n<div class=\"wp-block-column main-service-section-card\"><!-- wp:image {\"id\":1417,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"main-service-section-figure\"} -->\n<figure class=\"wp-block-image size-full main-service-section-figure\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/service6.png\" alt=\"\" class=\"wp-image-1417\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\"},\"color\":{\"text\":\"#001e44\"}},\"fontSize\":\"medium\"} -->\n<h3 class=\"has-text-align-center has-text-color has-medium-font-size\" style=\"color:#001e44;text-transform:uppercase\">TITLE 6</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.33%\",\"className\":\"main-service-section-col\"} -->\n<div class=\"wp-block-column main-service-section-col\" style=\"flex-basis:33.33%\"><!-- wp:heading {\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"35px\"},\"color\":{\"text\":\"#001e44\"}}} -->\n<h2 class=\"has-text-color\" style=\"color:#001e44;font-size:35px;text-transform:uppercase\">lorem ipsum Dolor</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#666666\"}}} -->\n<p class=\"has-text-color\" style=\"color:#666666;font-size:16px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#001e44\",\"background\":\"#ff8500\"},\"border\":{\"radius\":\"0px\"},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:16px\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:0px;background-color:#ff8500;color:#001e44\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}